from driverConstants import *
from driverExplicit import ExplicitAnalysis
import driverUtils, sys
options = {
    'ams':OFF,
    'analysisType':EXPLICIT,
    'applicationName':'analysis',
    'aqua':OFF,
    'beamSectGen':OFF,
    'complexFrequency':OFF,
    'contact':ON,
    'cosimulation':OFF,
    'coupledProcedure':OFF,
    'directCyclic':OFF,
    'domains':1,
    'dsa':OFF,
    'dynamic':OFF,
    'filPrt':[],
    'fils':[],
    'finitesliding':ON,
    'foundation':OFF,
    'geostatic':OFF,
    'heatTransfer':OFF,
    'importer':OFF,
    'importerParts':OFF,
    'includes':('Werkzeug\\Piece.inp', 'Werkzeug\\Punch.inp', 'Werkzeug\\Die.inp', 'Material\\Stahl.inp', 'Material\\Keramik.inp'),
    'initialConditionsFile':OFF,
    'input':'simu',
    'job':'simu',
    'libs':[],
    'massDiffusion':OFF,
    'mp_mode':THREADS,
    'multiphysics':OFF,
    'noDmpDirect':[],
    'noStdParallel':['adaptivemesh'],
    'no_domain_check':1,
    'outputKeywords':ON,
    'parallel':DOMAIN,
    'parallel_odb':SINGLE,
    'parameterized':OFF,
    'partsAndAssemblies':OFF,
    'parval':OFF,
    'postOutput':OFF,
    'publicSim':OFF,
    'restart':OFF,
    'restartWrite':OFF,
    'rezone':OFF,
    'runCalculator':OFF,
    'soils':OFF,
    'solverTypes':['DIRECT'],
    'staticNonlinear':OFF,
    'steadyStateTransport':OFF,
    'step':ON,
    'submodel':OFF,
    'substrLibDefs':OFF,
    'substructure':OFF,
    'symmetricModelGeneration':OFF,
    'tmpdir':'C:\\DOKUME~1\\Matthias\\LOKALE~1\\Temp\\3',
    'tracer':OFF,
    'visco':OFF,
}
analysis = ExplicitAnalysis(options)
status = analysis.run()
sys.exit(status)
